function m=moment(n,class)



if strcmp(class,'log')
        m=1./(1:n+1)'.^2;
elseif strcmp(class,'legendre')
    m=zeros(n+1,1);
    m(1:2:n+1)=2./(1:2:n+1)';
elseif strcmp(class,'tscheb')
    k=pi;
    m=zeros(n+1,1);
    for i=1:2:n+1
        m(i)=k;
        k=k*i/(i+1);
    end
elseif strcmp(class,'laguerre')
    m=zeros(n+1,1);
    k=1;
    for i=1:n+1
        m(i)=k;
        k=k*i;
    end
elseif strcmp(class,'hermite')
    k=sqrt(pi);
    m=zeros(n+1,1);
    for i=1:2:n+1
        m(i)=k;
        k=k*i/2;
    end
else
    error('This class is unknown!')
end